Skip to main content
GET
/
talent-training
/
api
/
v1
/
training-categories
List training-categories
curl --request GET \
  --url https://{host}/talent-training/api/v1/training-categories \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/talent-training/api/v1/training-categories"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/talent-training/api/v1/training-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "$ref": "#/components/examples/v2.get.training-categories.res"
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

fields.root
enum<string>[]

Include the total number of items across all pages, as well as pointers to the previous and next pages.

Available options:
prev,
next,
count

Retrieve the training-categories whose name exactly matches the given value.

Minimum string length: 1

Response

List of training-categories successfully retrieved.

count
integer<int32> | null

Total number of items across all pages. You need to include ?fields.root=count to your request to retrieve this.

Required range: x >= 0
prev
string | null

Cursor to the previous page. You need to include ?fields.root=prev in order to retrieve this.

next
string | null

Cursor to the next page. You need to include ?fields.root=next in order to retrieve this.

items
training-category · object[]
Maximum array length: 100